dymaxionmap(6)

NAME
dymaxionmap - An animation of Buckminster Fuller's unwrapped icosahedral globe.

SYNOPSIS
dymaxionmap [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed ratio] [--no-wander] [--no-roll] [--no-stars] [--no-grid] [--flat] [--satellite] [--image file] [--image2 file] [--frames number] [--wireframe] [--fps]

DESCRIPTION
Buckminster Fuller's map of the Earth projected onto the surface of an unfolded icosahedron. It depicts the Earth's continents as one island, or nearly contiguous land masses. This screen saver animates the progression of the dusk terminator across the flattened globe. It includes both satellite and flat-colored map imagery, and can load and convert other Equirectangular-projected maps.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--speed ratio
    Speed of the animation. 0.5 means half as fast, 2 means twice as fast.

--wander | --no-wander
    Whether the object should wander around the screen. Default yes.

--roll | --no-roll
    Whether the object should roll randomly. Default yes.

--stars | --no-stars
    Whether to display a star field. Default yes.

--grid | --no-grid
    Whether to overlay a latitude/longitude grid over the map. Default yes.

--flat
    Display a flat-colored map of the Earth. This is the default.

--satellite
    Display a day-time satellite map of the Earth.

--image file
    An image to use for the day-time map.

--image2 file
    An image to use for the night-time map. The two images can be the same: the night-time one will be darkened.

--frames number
    The number of frames in the day/night animation. Default 720. Larger numbers are smoother, but use more memory. The day/night animation happens if image2 is set, or if frames is greater than 1.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1) glplanet(6)

COPYRIGHT
Copyright © 2016-2018 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. "Dymaxion Map" and "The Fuller Projection Map" are trademarks of The Buckminster Fuller Institute. The original Dymaxion Map image is copyright © 1982 by The Buckminster Fuller Institute. (This program does not use their imagery, only similar trigonometry.) The Dymaxion Map was covered by now-expired US Patent 2,393,676 (Richard Buckminster Fuller, 1946).

AUTHOR
Jamie Zawinski.